# Generated by ariadne-codegen

from ._client import _GPPClient
from .async_base_client import AsyncBaseClient
from .base_model import BaseModel, Upload
from .enums import (
    AtomExecutionState,
    AtomStage,
    AttachmentType,
    Band,
    Breakpoint,
    BrightnessIntegratedUnits,
    BrightnessSurfaceUnits,
    CalibrationRole,
    CallForProposalsType,
    CatalogName,
    ChargeClass,
    CloudExtinctionPreset,
    ConditionsExpectationType,
    ConditionsMeasurementSource,
    ConfigurationRequestStatus,
    CoolStarTemperature,
    DatasetQaState,
    DatasetStage,
    EditType,
    EducationalStatus,
    EmailStatus,
    EphemerisKeyType,
    ExecutionEventType,
    ExecutionState,
    Existence,
    FilterType,
    Flamingos2Decker,
    Flamingos2Disperser,
    Flamingos2Filter,
    Flamingos2Fpu,
    Flamingos2ReadMode,
    Flamingos2ReadoutMode,
    Flamingos2Reads,
    Flamingos2WindowCover,
    FluxDensityContinuumIntegratedUnits,
    FluxDensityContinuumSurfaceUnits,
    FocalPlane,
    GalaxySpectrum,
    GcalArc,
    GcalContinuum,
    GcalDiffuser,
    GcalFilter,
    GcalShutter,
    Gender,
    GmosAmpCount,
    GmosAmpGain,
    GmosAmpReadMode,
    GmosCustomSlitWidth,
    GmosDtax,
    GmosEOffsetting,
    GmosGratingOrder,
    GmosNorthBuiltinFpu,
    GmosNorthDetector,
    GmosNorthFilter,
    GmosNorthGrating,
    GmosNorthStageMode,
    GmosRoi,
    GmosSouthBuiltinFpu,
    GmosSouthDetector,
    GmosSouthFilter,
    GmosSouthGrating,
    GmosSouthStageMode,
    GmosXBinning,
    GmosYBinning,
    GuideProbe,
    GuideState,
    HiiRegionSpectrum,
    Ignore,
    ImageQualityPreset,
    Instrument,
    LineFluxIntegratedUnits,
    LineFluxSurfaceUnits,
    MosPreImaging,
    ObsActiveStatus,
    ObservationValidationCode,
    ObservationWorkflowState,
    ObserveClass,
    ObservingModeType,
    ObsStatus,
    Partner,
    PartnerLinkType,
    PlanetaryNebulaSpectrum,
    PlanetSpectrum,
    PosAngleConstraintMode,
    ProgramType,
    ProgramUserRole,
    ProgramUserSupportRoleType,
    ProposalStatus,
    QuasarSpectrum,
    ScienceBand,
    ScienceMode,
    ScienceSubtype,
    SeeingTrend,
    SequenceCommand,
    SequenceType,
    Site,
    SkyBackground,
    SlewStage,
    SmartGcalType,
    SpectroscopyCapabilities,
    StellarLibrarySpectrum,
    StepExecutionState,
    StepStage,
    StepType,
    TacCategory,
    TimeAccountingCategory,
    TimeChargeCorrectionOp,
    TimingWindowInclusion,
    ToOActivation,
    UserInvitationStatus,
    UserType,
    WaterVapor,
)
from .exceptions import (
    GraphQLClientError,
    GraphQLClientGraphQLError,
    GraphQLClientGraphQLMultiError,
    GraphQLClientHttpError,
    GraphQLClientInvalidResponseError,
)
from .input_types import (
    AddAtomEventInput,
    AddDatasetEventInput,
    AddProgramUserInput,
    AddSequenceEventInput,
    AddSlewEventInput,
    AddStepEventInput,
    AddTimeChargeCorrectionInput,
    AirMassRangeInput,
    AllocationInput,
    AngleInput,
    AttachmentPropertiesInput,
    BandBrightnessIntegratedInput,
    BandBrightnessSurfaceInput,
    BandNormalizedIntegratedInput,
    BandNormalizedSurfaceInput,
    CallForProposalsPartnerInput,
    CallForProposalsPropertiesInput,
    CatalogInfoInput,
    ChangeProgramUserRoleInput,
    ClassicalInput,
    CloneGroupInput,
    CloneObservationInput,
    CloneTargetInput,
    ConditionsEntryInput,
    ConditionsExpectationInput,
    ConditionsIntuitionInput,
    ConditionsMeasurementInput,
    ConfigurationRequestEditInput,
    ConfigurationRequestProperties,
    ConstraintSetInput,
    CoordinateLimitsInput,
    CoordinatesInput,
    CreateCallForProposalsInput,
    CreateConfigurationRequestInput,
    CreateGroupInput,
    CreateObservationInput,
    CreateProgramInput,
    CreateProgramNoteInput,
    CreateProposalInput,
    CreateTargetInput,
    CreateUserInvitationInput,
    DatasetEditInput,
    DatasetPropertiesInput,
    DeclinationInput,
    DeleteProgramUserInput,
    DeleteProposalInput,
    DemoScienceInput,
    DirectorsTimeInput,
    EditAsterismsPatchInput,
    ElevationRangeInput,
    EmissionLineIntegratedInput,
    EmissionLinesIntegratedInput,
    EmissionLinesSurfaceInput,
    EmissionLineSurfaceInput,
    ExecutionEventAddedInput,
    ExposureTimeModeInput,
    FastTurnaroundInput,
    Flamingos2LongSlitInput,
    FluxDensity,
    FluxDensityContinuumIntegratedInput,
    FluxDensityContinuumSurfaceInput,
    GaussianInput,
    GmosCcdModeInput,
    GmosCustomMaskInput,
    GmosNodAndShuffleInput,
    GmosNorthDynamicInput,
    GmosNorthFpuInput,
    GmosNorthGratingConfigInput,
    GmosNorthLongSlitInput,
    GmosNorthStaticInput,
    GmosSouthDynamicInput,
    GmosSouthFpuInput,
    GmosSouthGratingConfigInput,
    GmosSouthLongSlitInput,
    GmosSouthStaticInput,
    GoaPropertiesInput,
    GroupEditInput,
    GroupElementInput,
    GroupPropertiesInput,
    HourAngleRangeInput,
    LargeProgramInput,
    LineFluxIntegratedInput,
    LineFluxSurfaceInput,
    LinkUserInput,
    NonsiderealInput,
    ObservationEditInput,
    ObservationPropertiesInput,
    ObservationTimesInput,
    ObservingModeInput,
    OffsetComponentInput,
    OffsetInput,
    ParallaxInput,
    PartnerLinkInput,
    PartnerSplitInput,
    PoorWeatherInput,
    PosAngleConstraintInput,
    ProgramEditInput,
    ProgramNotePropertiesInput,
    ProgramPropertiesInput,
    ProgramReferencePropertiesCalibrationInput,
    ProgramReferencePropertiesCommissioningInput,
    ProgramReferencePropertiesEngineeringInput,
    ProgramReferencePropertiesExampleInput,
    ProgramReferencePropertiesInput,
    ProgramReferencePropertiesLibraryInput,
    ProgramReferencePropertiesMonitoringInput,
    ProgramReferencePropertiesScienceInput,
    ProgramReferencePropertiesSystemInput,
    ProgramUserPropertiesInput,
    ProperMotionComponentInput,
    ProperMotionInput,
    ProposalPropertiesInput,
    ProposalTypeInput,
    QueueInput,
    RadialVelocityInput,
    RecordAtomInput,
    RecordDatasetInput,
    RecordGmosNorthStepInput,
    RecordGmosNorthVisitInput,
    RecordGmosSouthStepInput,
    RecordGmosSouthVisitInput,
    RedeemUserInvitationInput,
    ResetAcquisitionInput,
    RevokeUserInvitationInput,
    RightAscensionInput,
    ScienceRequirementsInput,
    SetAllocationsInput,
    SetGuideTargetNameInput,
    SetObservationWorkflowStateInput,
    SetProgramReferenceInput,
    SetProposalStatusInput,
    SiderealInput,
    SignalToNoiseExposureTimeModeInput,
    SiteCoordinateLimitsInput,
    SourceProfileInput,
    SpectralDefinitionIntegratedInput,
    SpectralDefinitionSurfaceInput,
    SpectroscopyScienceRequirementsInput,
    StepConfigGcalInput,
    StepConfigInput,
    StepConfigSmartGcalInput,
    SystemVerificationInput,
    TargetEditInput,
    TargetEnvironmentInput,
    TargetPropertiesInput,
    TelescopeConfigInput,
    TimeAndCountExposureTimeModeInput,
    TimeChargeCorrectionInput,
    TimeSpanInput,
    TimingWindowEndInput,
    TimingWindowInput,
    TimingWindowRepeatInput,
    UnlinkUserInput,
    UnnormalizedSedInput,
    UpdateAsterismsInput,
    UpdateAttachmentsInput,
    UpdateCallsForProposalsInput,
    UpdateConfigurationRequestsInput,
    UpdateDatasetsInput,
    UpdateGroupsInput,
    UpdateObservationsInput,
    UpdateObservationsTimesInput,
    UpdateProgramNotesInput,
    UpdateProgramsInput,
    UpdateProgramUsersInput,
    UpdateProposalInput,
    UpdateTargetsInput,
    UserProfileInput,
    WavelengthDitherInput,
    WavelengthInput,
    WhereAngle,
    WhereAttachment,
    WhereAttachmentType,
    WhereBoolean,
    WhereCallForProposals,
    WhereConfigurationRequest,
    WhereDataset,
    WhereDatasetReference,
    WhereEqCallForProposalsType,
    WhereEqExecutionEventType,
    WhereEqFocalPlane,
    WhereEqInstrument,
    WhereEqPartner,
    WhereEqPartnerLinkType,
    WhereEqProgramType,
    WhereEqProgramUserRole,
    WhereEqProposalStatus,
    WhereEqScienceSubtype,
    WhereEqSite,
    WhereEqStepId,
    WhereEqToOActivation,
    WhereEqUserType,
    WhereEqVisitId,
    WhereExecutionEvent,
    WhereGroup,
    WhereObservation,
    WhereObservationReference,
    WhereOptionBoolean,
    WhereOptionEqCalibrationRole,
    WhereOptionEqEducationalStatus,
    WhereOptionEqGender,
    WhereOptionEqInstrument,
    WhereOptionEqPartner,
    WhereOptionEqQaState,
    WhereOptionEqSite,
    WhereOptionEqSpectroscopyCapabilities,
    WhereOptionEqTacCategory,
    WhereOptionOrderScienceBand,
    WhereOptionString,
    WhereOrderAttachmentId,
    WhereOrderBigDecimal,
    WhereOrderCallForProposalsId,
    WhereOrderConfigurationRequestId,
    WhereOrderConfigurationRequestStatus,
    WhereOrderDatasetId,
    WhereOrderDatasetStage,
    WhereOrderDate,
    WhereOrderExecutionEventId,
    WhereOrderGroupId,
    WhereOrderInt,
    WhereOrderLong,
    WhereOrderObservationId,
    WhereOrderPosBigDecimal,
    WhereOrderPosInt,
    WhereOrderProgramId,
    WhereOrderProgramNoteId,
    WhereOrderProgramUserId,
    WhereOrderSemester,
    WhereOrderSequenceCommand,
    WhereOrderSequenceType,
    WhereOrderSlewStage,
    WhereOrderStepStage,
    WhereOrderTargetId,
    WhereOrderTimestamp,
    WhereOrderUserId,
    WherePartnerLink,
    WhereProgram,
    WhereProgramNote,
    WhereProgramReference,
    WhereProgramUser,
    WhereProposal,
    WhereProposalPartnerEntry,
    WhereProposalPartners,
    WhereProposalReference,
    WhereSpectroscopyConfigOption,
    WhereString,
    WhereTarget,
    WhereUser,
    WhereUserProfile,
    WhereWavelength,
)

__all__ = [
    "AddAtomEventInput",
    "AddDatasetEventInput",
    "AddProgramUserInput",
    "AddSequenceEventInput",
    "AddSlewEventInput",
    "AddStepEventInput",
    "AddTimeChargeCorrectionInput",
    "AirMassRangeInput",
    "AllocationInput",
    "AngleInput",
    "AsyncBaseClient",
    "AtomExecutionState",
    "AtomStage",
    "AttachmentPropertiesInput",
    "AttachmentType",
    "Band",
    "BandBrightnessIntegratedInput",
    "BandBrightnessSurfaceInput",
    "BandNormalizedIntegratedInput",
    "BandNormalizedSurfaceInput",
    "BaseModel",
    "Breakpoint",
    "BrightnessIntegratedUnits",
    "BrightnessSurfaceUnits",
    "CalibrationRole",
    "CallForProposalsPartnerInput",
    "CallForProposalsPropertiesInput",
    "CallForProposalsType",
    "CatalogInfoInput",
    "CatalogName",
    "ChangeProgramUserRoleInput",
    "ChargeClass",
    "ClassicalInput",
    "CloneGroupInput",
    "CloneObservationInput",
    "CloneTargetInput",
    "CloudExtinctionPreset",
    "ConditionsEntryInput",
    "ConditionsExpectationInput",
    "ConditionsExpectationType",
    "ConditionsIntuitionInput",
    "ConditionsMeasurementInput",
    "ConditionsMeasurementSource",
    "ConfigurationRequestEditInput",
    "ConfigurationRequestProperties",
    "ConfigurationRequestStatus",
    "ConstraintSetInput",
    "CoolStarTemperature",
    "CoordinateLimitsInput",
    "CoordinatesInput",
    "CreateCallForProposalsInput",
    "CreateConfigurationRequestInput",
    "CreateGroupInput",
    "CreateObservationInput",
    "CreateProgramInput",
    "CreateProgramNoteInput",
    "CreateProposalInput",
    "CreateTargetInput",
    "CreateUserInvitationInput",
    "DatasetEditInput",
    "DatasetPropertiesInput",
    "DatasetQaState",
    "DatasetStage",
    "DeclinationInput",
    "DeleteProgramUserInput",
    "DeleteProposalInput",
    "DemoScienceInput",
    "DirectorsTimeInput",
    "EditAsterismsPatchInput",
    "EditType",
    "EducationalStatus",
    "ElevationRangeInput",
    "EmailStatus",
    "EmissionLineIntegratedInput",
    "EmissionLineSurfaceInput",
    "EmissionLinesIntegratedInput",
    "EmissionLinesSurfaceInput",
    "EphemerisKeyType",
    "ExecutionEventAddedInput",
    "ExecutionEventType",
    "ExecutionState",
    "Existence",
    "ExposureTimeModeInput",
    "FastTurnaroundInput",
    "FilterType",
    "Flamingos2Decker",
    "Flamingos2Disperser",
    "Flamingos2Filter",
    "Flamingos2Fpu",
    "Flamingos2LongSlitInput",
    "Flamingos2ReadMode",
    "Flamingos2ReadoutMode",
    "Flamingos2Reads",
    "Flamingos2WindowCover",
    "FluxDensity",
    "FluxDensityContinuumIntegratedInput",
    "FluxDensityContinuumIntegratedUnits",
    "FluxDensityContinuumSurfaceInput",
    "FluxDensityContinuumSurfaceUnits",
    "FocalPlane",
    "GalaxySpectrum",
    "GaussianInput",
    "GcalArc",
    "GcalContinuum",
    "GcalDiffuser",
    "GcalFilter",
    "GcalShutter",
    "Gender",
    "GmosAmpCount",
    "GmosAmpGain",
    "GmosAmpReadMode",
    "GmosCcdModeInput",
    "GmosCustomMaskInput",
    "GmosCustomSlitWidth",
    "GmosDtax",
    "GmosEOffsetting",
    "GmosGratingOrder",
    "GmosNodAndShuffleInput",
    "GmosNorthBuiltinFpu",
    "GmosNorthDetector",
    "GmosNorthDynamicInput",
    "GmosNorthFilter",
    "GmosNorthFpuInput",
    "GmosNorthGrating",
    "GmosNorthGratingConfigInput",
    "GmosNorthLongSlitInput",
    "GmosNorthStageMode",
    "GmosNorthStaticInput",
    "GmosRoi",
    "GmosSouthBuiltinFpu",
    "GmosSouthDetector",
    "GmosSouthDynamicInput",
    "GmosSouthFilter",
    "GmosSouthFpuInput",
    "GmosSouthGrating",
    "GmosSouthGratingConfigInput",
    "GmosSouthLongSlitInput",
    "GmosSouthStageMode",
    "GmosSouthStaticInput",
    "GmosXBinning",
    "GmosYBinning",
    "GoaPropertiesInput",
    "GraphQLClientError",
    "GraphQLClientGraphQLError",
    "GraphQLClientGraphQLMultiError",
    "GraphQLClientHttpError",
    "GraphQLClientInvalidResponseError",
    "GroupEditInput",
    "GroupElementInput",
    "GroupPropertiesInput",
    "GuideProbe",
    "GuideState",
    "HiiRegionSpectrum",
    "HourAngleRangeInput",
    "Ignore",
    "ImageQualityPreset",
    "Instrument",
    "LargeProgramInput",
    "LineFluxIntegratedInput",
    "LineFluxIntegratedUnits",
    "LineFluxSurfaceInput",
    "LineFluxSurfaceUnits",
    "LinkUserInput",
    "MosPreImaging",
    "NonsiderealInput",
    "ObsActiveStatus",
    "ObsStatus",
    "ObservationEditInput",
    "ObservationPropertiesInput",
    "ObservationTimesInput",
    "ObservationValidationCode",
    "ObservationWorkflowState",
    "ObserveClass",
    "ObservingModeInput",
    "ObservingModeType",
    "OffsetComponentInput",
    "OffsetInput",
    "ParallaxInput",
    "Partner",
    "PartnerLinkInput",
    "PartnerLinkType",
    "PartnerSplitInput",
    "PlanetSpectrum",
    "PlanetaryNebulaSpectrum",
    "PoorWeatherInput",
    "PosAngleConstraintInput",
    "PosAngleConstraintMode",
    "ProgramEditInput",
    "ProgramNotePropertiesInput",
    "ProgramPropertiesInput",
    "ProgramReferencePropertiesCalibrationInput",
    "ProgramReferencePropertiesCommissioningInput",
    "ProgramReferencePropertiesEngineeringInput",
    "ProgramReferencePropertiesExampleInput",
    "ProgramReferencePropertiesInput",
    "ProgramReferencePropertiesLibraryInput",
    "ProgramReferencePropertiesMonitoringInput",
    "ProgramReferencePropertiesScienceInput",
    "ProgramReferencePropertiesSystemInput",
    "ProgramType",
    "ProgramUserPropertiesInput",
    "ProgramUserRole",
    "ProgramUserSupportRoleType",
    "ProperMotionComponentInput",
    "ProperMotionInput",
    "ProposalPropertiesInput",
    "ProposalStatus",
    "ProposalTypeInput",
    "QuasarSpectrum",
    "QueueInput",
    "RadialVelocityInput",
    "RecordAtomInput",
    "RecordDatasetInput",
    "RecordGmosNorthStepInput",
    "RecordGmosNorthVisitInput",
    "RecordGmosSouthStepInput",
    "RecordGmosSouthVisitInput",
    "RedeemUserInvitationInput",
    "ResetAcquisitionInput",
    "RevokeUserInvitationInput",
    "RightAscensionInput",
    "ScienceBand",
    "ScienceMode",
    "ScienceRequirementsInput",
    "ScienceSubtype",
    "SeeingTrend",
    "SequenceCommand",
    "SequenceType",
    "SetAllocationsInput",
    "SetGuideTargetNameInput",
    "SetObservationWorkflowStateInput",
    "SetProgramReferenceInput",
    "SetProposalStatusInput",
    "SiderealInput",
    "SignalToNoiseExposureTimeModeInput",
    "Site",
    "SiteCoordinateLimitsInput",
    "SkyBackground",
    "SlewStage",
    "SmartGcalType",
    "SourceProfileInput",
    "SpectralDefinitionIntegratedInput",
    "SpectralDefinitionSurfaceInput",
    "SpectroscopyCapabilities",
    "SpectroscopyScienceRequirementsInput",
    "StellarLibrarySpectrum",
    "StepConfigGcalInput",
    "StepConfigInput",
    "StepConfigSmartGcalInput",
    "StepExecutionState",
    "StepStage",
    "StepType",
    "SystemVerificationInput",
    "TacCategory",
    "TargetEditInput",
    "TargetEnvironmentInput",
    "TargetPropertiesInput",
    "TelescopeConfigInput",
    "TimeAccountingCategory",
    "TimeAndCountExposureTimeModeInput",
    "TimeChargeCorrectionInput",
    "TimeChargeCorrectionOp",
    "TimeSpanInput",
    "TimingWindowEndInput",
    "TimingWindowInclusion",
    "TimingWindowInput",
    "TimingWindowRepeatInput",
    "ToOActivation",
    "UnlinkUserInput",
    "UnnormalizedSedInput",
    "UpdateAsterismsInput",
    "UpdateAttachmentsInput",
    "UpdateCallsForProposalsInput",
    "UpdateConfigurationRequestsInput",
    "UpdateDatasetsInput",
    "UpdateGroupsInput",
    "UpdateObservationsInput",
    "UpdateObservationsTimesInput",
    "UpdateProgramNotesInput",
    "UpdateProgramUsersInput",
    "UpdateProgramsInput",
    "UpdateProposalInput",
    "UpdateTargetsInput",
    "Upload",
    "UserInvitationStatus",
    "UserProfileInput",
    "UserType",
    "WaterVapor",
    "WavelengthDitherInput",
    "WavelengthInput",
    "WhereAngle",
    "WhereAttachment",
    "WhereAttachmentType",
    "WhereBoolean",
    "WhereCallForProposals",
    "WhereConfigurationRequest",
    "WhereDataset",
    "WhereDatasetReference",
    "WhereEqCallForProposalsType",
    "WhereEqExecutionEventType",
    "WhereEqFocalPlane",
    "WhereEqInstrument",
    "WhereEqPartner",
    "WhereEqPartnerLinkType",
    "WhereEqProgramType",
    "WhereEqProgramUserRole",
    "WhereEqProposalStatus",
    "WhereEqScienceSubtype",
    "WhereEqSite",
    "WhereEqStepId",
    "WhereEqToOActivation",
    "WhereEqUserType",
    "WhereEqVisitId",
    "WhereExecutionEvent",
    "WhereGroup",
    "WhereObservation",
    "WhereObservationReference",
    "WhereOptionBoolean",
    "WhereOptionEqCalibrationRole",
    "WhereOptionEqEducationalStatus",
    "WhereOptionEqGender",
    "WhereOptionEqInstrument",
    "WhereOptionEqPartner",
    "WhereOptionEqQaState",
    "WhereOptionEqSite",
    "WhereOptionEqSpectroscopyCapabilities",
    "WhereOptionEqTacCategory",
    "WhereOptionOrderScienceBand",
    "WhereOptionString",
    "WhereOrderAttachmentId",
    "WhereOrderBigDecimal",
    "WhereOrderCallForProposalsId",
    "WhereOrderConfigurationRequestId",
    "WhereOrderConfigurationRequestStatus",
    "WhereOrderDatasetId",
    "WhereOrderDatasetStage",
    "WhereOrderDate",
    "WhereOrderExecutionEventId",
    "WhereOrderGroupId",
    "WhereOrderInt",
    "WhereOrderLong",
    "WhereOrderObservationId",
    "WhereOrderPosBigDecimal",
    "WhereOrderPosInt",
    "WhereOrderProgramId",
    "WhereOrderProgramNoteId",
    "WhereOrderProgramUserId",
    "WhereOrderSemester",
    "WhereOrderSequenceCommand",
    "WhereOrderSequenceType",
    "WhereOrderSlewStage",
    "WhereOrderStepStage",
    "WhereOrderTargetId",
    "WhereOrderTimestamp",
    "WhereOrderUserId",
    "WherePartnerLink",
    "WhereProgram",
    "WhereProgramNote",
    "WhereProgramReference",
    "WhereProgramUser",
    "WhereProposal",
    "WhereProposalPartnerEntry",
    "WhereProposalPartners",
    "WhereProposalReference",
    "WhereSpectroscopyConfigOption",
    "WhereString",
    "WhereTarget",
    "WhereUser",
    "WhereUserProfile",
    "WhereWavelength",
    "_GPPClient",
]
